# Uses of Interface
org.eclipse.birt.report.engine.api.IDataIterator

Packages that use IDataIterator
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.

## Uses of IDataIterator in org.eclipse.birt.report.engine.api

Methods in org.eclipse.birt.report.engine.api that return IDataIterator
Modifier and Type
Method
Description
`IDataIterator`
IExtractionResults.`nextResultIterator()`
Returns the current result's iterator.